Subject: Editor's Version 0.15 DLSw (Proposed AP document) available

From: "Alan K. Bartky, Manager of Technology" <[email-masked]>
Date: Mon, 31 Oct 94 12:45:23 PST

Fellow Data Link Switchers -

Editor's Version 0.15 is now available on the IBM FTP server

The files are under the /home/ftp/pub/standards/aiw/dlsw directory.

The files are:

dlsw015.txt       ASCII text version (get as ASCII file)
dlsw015.psbin     Postscript Version (get as Binary file)
dlsw015.exe       Self - Exploding Pk-Zip file for DOS text and Postcript

Please download ASAP for Approved Pages (AP) consensus approval.

DLSw Specification recent History:

Version 0.12 was approved as the Approved Direction (AD) Status Document

Version 0.13 was origninally proposed as document for Approved Pages (AP) Status

Version 0.14 restored the text orignally in version 0.12 Pacing/Flow Control
Section (Note: New Pacing/Flow Control Chapter is now chapter 8) and added some
minor changes.

Version 0.15 edited in typos found and changes agreed at the AIW,
plus changes after as listed below (summary):

Revision 0.15 Changes:

  (10/12/94 at the AIW):

-   Added new text for Section 5. (State Machines) 
    from Paul Brittain (DCL)

-   Added new text for Section 7. (Capabilities Exchange)
    from Wayne Clark (Cisco)

-   Added typo/minor wording corrections
    from Remi Pellard (Eicon)

-   Added typo corrections/minor wording corrections
    from Richard Shortz (DataCom Systems)

-   Continued reduction of ASCII pictures and tables to less columns
    for better spacing and ASCII RFC future spacing requirements.

-   Incorporated changes to Priority discussed at meeting.

(10/13-10/31/94 Email Submissions/Corrections)

-   Incorporated Gene Cox's (IBM) priority submission
    to text already entered at AIW

-   Incorporated Steve Klein's (IBM) State machine
    and text changes.

-   Incorporated Peter Gayek's (IBM) word changes
    to Steve Klein's proposal.

-   Incorporated Shannon Nix's (Metaplex) example flows
    for Adaptive Pacing Halve and Reset operators.

-   Incorporated David McDonell's (DEC) editorial
    comments, referred some back to RIGlets.

There is still some work being done in the Connect Riglet which
may cause some changes/additions to the state machine sections.
I have been waiting for them prior to releasing/completing version
0.15, but since they are still being worked on, I decided to
not wait any longer.  It is my opinion that these changes are minor
and should not hold up AP status.  They are important and must
be resolved before going to CP status.

Version 0.15 is my new master document (I am also making sure I keep several
backup copies to avoid any leftover gremlins in my PCs at home and work).

NOTE: It is my intent that this will be the last version with Revision
Bars and Revision History.  Also regardless of the revision bars, please
read the ENTIRE document for content, detail, and clarity.  Remember
that people who have not already done a DLSw implementation must be
able to do one from this document.

Happy reading,

Alan

P.S. I was disappointed at the lack of response to David McDonell's
submission (it had more than just editorial comments).

I will be posting it again with my comments included.  There are
several issues which should be looked at by everybody.  Connect,
Flow Control, and Priority groups should pay particular attention
to those responses which are label as a referal (e.g. "refer to
Connect Group").